### Method

# Foundry TextDocument list_symbols

#### Declaration [src]

    DexFuture*
    foundry_text_document_list_symbols (
      FoundryTextDocument* self
    )

#### Description [src]

Queries `FoundrySymbolProvider` for symbols that are relevant to the document.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundrySymbol`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.